Package wx :: Package lib :: Module stattext :: Class GenStaticText

[frames | no frames]

## Type GenStaticText

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                   Control --+
                             |
                     PyControl --+
                                 |
                                GenStaticText

Known Subclasses:
  `HyperLinkCtrl`

Method Summary
| `__init__(self, parent, ID, label, pos, size, style, name)`
| ``AcceptsFocus`(self)` Overridden base class virtual.
| ``DoGetBestSize`(self)` Overridden base class virtual.
| ``GetDefaultAttributes`(self)` Overridden base class virtual.
| `OnEraseBackground(self, event)`
| `OnPaint(self, event)`
| ``SetFont`(self, font)` Sets the static text font and updates the control's size to exactly fit the label unless the control has wx.ST_NO_AUTORESIZE flag.
| ``SetLabel`(self, label)` Sets the static text label and updates the control's size to exactly fit the label unless the control has wx.ST_NO_AUTORESIZE flag.
| ``ShouldInheritColours`(self)` Overridden base class virtual.

Property Summary

Class Variable Summary
`int` | `labelDelta` = 1

Instance Method Details

### AcceptsFocus(self)

Overridden base class virtual.

  Overrides:
    `wx.Window.AcceptsFocus`

### DoGetBestSize(self)

Overridden base class virtual. Determines the best size of the control based on the label size and the current font.

  Overrides:
    `wx.PyControl.DoGetBestSize`

### GetDefaultAttributes(self)

Overridden base class virtual. By default we should use the same font/colour attributes as the native StaticText.

  Overrides:
    `wx.PyControl.GetDefaultAttributes`

### SetFont(self, font)

Sets the static text font and updates the control's size to exactly fit the label unless the control has wx.ST_NO_AUTORESIZE flag.

  Overrides:
    `wx.Window.SetFont`

### SetLabel(self, label)

Sets the static text label and updates the control's size to exactly fit the label unless the control has wx.ST_NO_AUTORESIZE flag.

  Overrides:
    `wx.Window.SetLabel`

### ShouldInheritColours(self)

Overridden base class virtual. If the parent has non-default colours then we want this control to inherit them.

  Overrides:
    `wx.Window.ShouldInheritColours`

Class Variable Details

### labelDelta

  Type:
    `int`
  Value:

        1

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:07:53 2007 | http://epydoc.sf.net